> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/api-reference/saa-s-api/auth/login-with-email-and-password/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Login with email and password POST https://alephant.io/api/v1/auth/login Content-Type: application/json Returns access token and workspaces; sets refresh token cookie. If 2FA enabled, returns requiresTwoFactor and tempToken instead. Reference: https://developers.alephant.io/api-reference/saa-s-api/auth/login-with-email-and-password ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Body (application/json) This endpoint expects an internal_api_handlers_auth.LoginRequest. - `email` (string, required) - `password` (string, required) ## Response ### 200 data: \{ user, accessToken, workspaces } or \{ requiresTwoFactor, tempToken } - `map from string to any` ## Errors ### 401 Unauthorized Error AUTH_INVALID - `map from string to any` ### 403 Forbidden Error ACCOUNT_SUSPENDED - `map from string to any` ## Examples **Request** ```json { "email": "string", "password": "string" } ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://alephant.io/api/v1/auth/login" payload = { "email": "string", "password": "string" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/auth/login'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"string","password":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/auth/login" payload := strings.NewReader("{\n \"email\": \"string\",\n \"password\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/auth/login") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"email\": \"string\",\n \"password\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://alephant.io/api/v1/auth/login") .header("Content-Type", "application/json") .body("{\n \"email\": \"string\",\n \"password\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://alephant.io/api/v1/auth/login', [ 'body' => '{ "email": "string", "password": "string" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/auth/login"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"email\": \"string\",\n \"password\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "email": "string", "password": "string" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/auth/login")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```